Remove objects from a channel
Rate limits
This endpoint does not belong to the priority lane. Do not use it within your ticket sales flow.
Remove a list of assigned objects from a channel.
- Text
- PHP
- C#
- Java
- Python
- Ruby
- Javascript
- Go
DELETE https://api-{region}.seatsio.net/events/{eventKey}/channels/{channelKey}/objects
// Seats, tables, booths:
$this->seatsioClient->events->channels->removeObjects(
$event->key,
"channelKey1",
["A-1", "A-2"] // the channel objects to remove
);
// GA area places:
$this->seatsioClient->events->channels->removeObjects(
$event->key,
"channelKey1",
[],
["GA1" => 50] // area label => number of places to remove
);
// Seats, tables, booths:
await Client.Events.Channels.RemoveObjectsAsync(
event1.Key,
"channelKey1",
new[] {"A-1", "A-2"} // the channel objects to remove
);
// GA area places:
await Client.Events.Channels.RemoveObjectsAsync(
event1.Key,
"channelKey1",
areaPlaces: new Dictionary<string, int> { { "GA1", 50 } }
);
// Seats, tables, booths:
client.events.channels.removeObjects(
event.key,
"channelKey1",
Set.of("A-1", "A-2") // the channel objects to remove
);
// GA area places:
client.events.channels.removeObjects(
event.key,
"channelKey1",
Set.of(),
Map.of("GA1", 50) // area label => number of places to remove
);
# Seats, tables, booths:
client.events.channels.remove_objects(
event.key,
'channelKey1',
['A-1', 'A-2'] # the channel objects to remove
)
# GA area places:
client.events.channels.remove_objects(
event.key,
'channelKey1',
area_places={'GA1': 50} # area label => number of places to remove
)
# Seats, tables, booths:
client.events.channels.remove_objects event_key: event.key,
channel_key: "channelKey1",
objects: ['A-1', 'A-2']
# GA area places:
client.events.channels.remove_objects event_key: event.key,
channel_key: "channelKey1",
area_places: { 'GA1' => 50 } # area label => number of places to remove
// Seats, tables, booths:
await client.events.channels.removeObjects(
event.key,
'channelKey1',
['A-1', 'A-2'] // the channel objects to remove
)
// GA area places:
await client.events.channels.removeObjects(
event.key,
'channelKey1',
[],
{ GA1: 50 } // area label => number of places to remove
)
// Seats, tables, booths:
err = client.Channels.RemoveObjects(
context.Background(),
event.Key,
"channelKey1",
[]string{"A-1", "A-2"}, // the channel objects to remove
)
// GA area places:
err = client.Channels.RemoveObjects(
context.Background(),
event.Key,
"channelKey1",
[]string{},
map[string]int{"GA1": 50}, // area label => number of places to remove
)
Example request body
{
"objects": ["A-1", "A-2"]
}
With area places:
{
"objects": [],
"areaPlaces": {
"GA1": 50
}
}
The request body should be a JSON object with these properties:
objects: the object labels of the objects that need to be removed from this channel. Objects that were previously assigned to this channel and are not in this list, will remain assigned to this channel.areaPlaces(optional): a map of general admission areas to the number of places to remove from this channel. The places are decremented from the existing count. See General Admission Area Places on Channels.
Response
204 - No Content